
---
apiVersion: v1
kind: Service
metadata:
  name: faas-service-<PROJECT_NAME>
  namespace: gitlab-managed-apps
spec:
  selector:
    app: faas-<PROJECT_NAME>
  ports:
    - protocol: TCP
      port: 80
      targetPort: 8080
---
apiVersion: networking.k8s.io/v1beta1
kind: Ingress
metadata:
  name: faas-ingress-<PROJECT_NAME>
  namespace: gitlab-managed-apps
  annotations:
    kubernetes.io/ingress.class: "nginx"
    nginx.ingress.kubernetes.io/rewrite-target: /$2
spec:
  rules:
    - host: elfakfaas.tk
      http:
        paths:
          - path: /faas/<PROJECT_NAME>(/|$)(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: faas-service-<PROJECT_NAME>
              servicePort: 80
---
apiVersion: apps/v1
kind: Deployment
metadata:
  namespace: gitlab-managed-apps
  name: faas-<PROJECT_NAME>
  labels:
    app: faas-<PROJECT_NAME>
spec:
  replicas: 1
  selector:
    matchLabels:
      app: faas-<PROJECT_NAME>
  template:
    metadata:
      labels:
        app: faas-<PROJECT_NAME>
    spec:
      imagePullSecrets:
        - name: regcred
      containers:
        - name: faas-<PROJECT_NAME>
          image: <PROJECT_IMAGE>
          imagePullPolicy: Always
          ports:
            - name: web
              containerPort: 8080
              protocol: TCP
